Subject: Re: [PATCH 1/1] powerpc: Fix partition migration hang under load

From: Nathan Lynch <[email-masked]>
Date: Thu, 29 Jan 2009 18:38:29 -0600

Brian King wrote:
> 
> While testing partition migration with heavy CPU load using
> shared processors, it was observed that sometimes the migration
> would never complete and would appear to hang. Currently, the
> migration code assumes that if H_SUCCESS is returned from the H_JOIN
> then the migration is complete and the processor is waking up on
> the target system. If there was an outstanding PROD to the processor
> when the H_JOIN is called, however, it will return H_SUCCESS on the source
> system

Hmm, did you determine where that outstanding H_PROD is coming from?
AFAICT this is the only code which uses that hcall, and all processors
should have "consumed" their prods from one migration before another
migration can commence.

Regardless, ACK -- if we were to add another H_PROD call site (or if
there's one I missed) this would be necessary anyway.